/* Ordinamento per selezione
 * dati n oggetti disordinati in un array
 * metterli in ordine con operazioni di confronto
 * e scambio
 *
 * - ripeti per tutte le posizioni i da
 *      0 a n-2
 *   - trova la posizione p dell'elemento 
 *       che dovra' diventare primo fra i e n-1
 *   - scambia l'elemento in posizione p con
 *       quello in posizione i
 */
#include "trattaMod.h" // necessario per la definizione di "precede" tramite "cfrMod"
#include "ordina.h" 
 
 void ordina(tipodati *td, // array dati
             int n){ // n.elementi n)
      int i, j, p;
      tipodati temp; // per lo scambio
      for (i=0; i<n-1;i++){
          p=i; // primo provvisorio
          for (j=i+1;j<n;j++){
              if (precede(td[j],td[p]))// se td[j] viene prima di td[p]
                 p=j; // aggiorna primo provvisorio
          } // for (j=i+1;j<n;j++)
          // ora p contiene la pos. del primo fra i e n-1
          temp = td[p];
          td[p] = td[i];
          td[i] = temp;
          // ora sono ordinati tra 0 e i
      } // for (i=0; i<n-1;i++)
} // ordina

int precede(tipodati x, tipodati y){ 
    if (cfrMod(x,y)) return 1;
    else return 0;
}
