#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define DIMSTR 64
#define MAXNMOD 64
#define TERM "."

/*
 * trova le modalita' distinte in un insieme di osservazioni
 * di tipo stringa
 * - inizializza nmod a 0
 * - ripeti finche' ci sono osservazioni
 *   - acquisisci osservazione
 *   - cerca se l'osservazione e' uguale a una
 *      delle nmod distinte gia' presenti
 *   - in caso negativo
 *     - se nmod < MAXNMOD
 *       - aggiungi l'osservazione come nuova modalita'
 *       - incrementa nmod
 *     - altrimenti comunica problema
 * - visualizza modalita' distinte
 */
int main(int argc, char *argv[])
{
  typedef char Stringa[DIMSTR];
  Stringa mod[MAXNMOD]; //array delle modalita' distinte
  Stringa oss;          // osservazione
  int nmod=0;             // numero modalita' distinte
  int nonTrovato, i;
  printf("Inserire un'osservazione (%s per terminare) ",
         TERM);
  scanf("%s",oss); // prima osservazione
  while (strcmp(oss,TERM)!=0){
        nonTrovato=1;
        for (i=0;i<nmod;i++) // scandisce modalita'
                // e confronta con la nuova oss
            if (strcmp(mod[i],oss)==0){
               nonTrovato=0;
               break; // esce dal for
            }
        // l'eventuale break mi manda qui
        if (nonTrovato)
           if (nmod<MAXNMOD) {
             strcpy(mod[nmod],oss);
             nmod++;
           } else printf("impossibile inserire %s per array pieno\n",oss);
        // se trovato non faccio nulla
        printf("Inserire un'osservazione (%s per terminare) ",
         TERM);
        scanf("%s",oss); // osservazione
  } // while 
  for (i=0;i<nmod;i++)
      printf("%s\n",mod[i]);
  system("PAUSE");	
  return 0;
}
