/* Claudio Sartori - Universita' di Bologna - 21/03/2007
 * sin(x) calcolato con sviluppo in serie di Taylor
 */
#include <math.h>
#include "trigonometriche.h"

double sinX(double x){
  int n; // contatore
  double s, // somma parziale della serie
         t; // termine corrente
  s=x;
  n=1;
  t=-x*x*x/(2*3);
  while (fabs(t/s)>=ALFA){
    s+=t;
    t=-t*x*x/((2*n+2)*(2*n+3));
    n++;
  } //while (t/s>=ALFA)
  return s;
} // sinX
